LMS API Documentation: lms_stream_t Struct Reference

LMS API Documentation v22.09.1

Loading...
Searching...
No Matches
Public Types | Data Fields
lms_stream_t Struct Reference
Sample Streaming functions

`#include <LimeSuite.h>`

## Public Types
enum | { LMS_FMT_F32 =0 , LMS_FMT_I16 , LMS_FMT_I12 }
| Data output format. More...
enum | { LMS_LINK_FMT_DEFAULT =0 , LMS_LINK_FMT_I16 , LMS_LINK_FMT_I12 }
| Data link format. More...

## Data Fields
size_t | handle
| Stream handle. Should not be modified manually. Assigned by LMS_SetupStream(). More...
bool | isTx
| Indicates whether stream is TX (true) or RX (false) More...
uint32_t | channel
| Channel number, starts at 0. Can be combined with additional flags (Additional streaming options) More...
uint32_t | fifoSize
| FIFO size (in samples) used by stream. More...
float | throughputVsLatency
| Parameter for controlling configuration bias toward low latency or high data throughput range [0,1.0]. 0 - lowest latency, usually results in lower throughput 1 - higher throughput, usually results in higher latency. More...
enum lms_stream_t:: { ... } | dataFmt
| Data output format.
enum lms_stream_t:: { ... } | linkFmt
| Data link format.

## Detailed Description

Stream structure

Definition at line 1072 of file LimeSuite.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Data output format.

Enumerator
LMS_FMT_F32 | 32-bit floating point
LMS_FMT_I16 | 16-bit integers
LMS_FMT_I12 | 12-bit integers stored in 16-bit variables

Definition at line 1099 of file LimeSuite.h.

## ◆ anonymous enum

anonymous enum

Data link format.

Enumerator
LMS_LINK_FMT_DEFAULT | 12-bit integers stored in 16-bit variables when dataFmt=LMS_FMT_I12, 16-bit otherwise
LMS_LINK_FMT_I16 | 16-bit integers
LMS_LINK_FMT_I12 | 12-bit integers

Definition at line 1107 of file LimeSuite.h.

## Field Documentation

## ◆ channel

uint32_t channel

Channel number, starts at 0. Can be combined with additional flags (Additional streaming options)

Definition at line 1085 of file LimeSuite.h.

## ◆ fifoSize

uint32_t fifoSize

FIFO size (in samples) used by stream.

Definition at line 1088 of file LimeSuite.h.

## ◆ handle

size_t handle

Stream handle. Should not be modified manually. Assigned by LMS_SetupStream().

Definition at line 1077 of file LimeSuite.h.

## ◆ isTx

bool isTx

Indicates whether stream is TX (true) or RX (false)

Definition at line 1080 of file LimeSuite.h.

## ◆ throughputVsLatency

float throughputVsLatency

Parameter for controlling configuration bias toward low latency or high data throughput range [0,1.0]. 0 - lowest latency, usually results in lower throughput 1 - higher throughput, usually results in higher latency.

Definition at line 1096 of file LimeSuite.h.

The documentation for this struct was generated from the following file:

- /build/limesuite/src/LimeSuite-22.09.1/src/lime/LimeSuite.h